IF EXISTS(
	SELECT CONSTRAINT_NAME, TABLE_SCHEMA, TABLE_NAME,CONSTRAINT_TYPE
	FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS
	WHERE TABLE_NAME='Doc_Version'AND CONSTRAINT_NAME = 'FK_DOC_DATA_FP_ID')
BEGIN
	ALTER TABLE webcenter.Doc_Version DROP CONSTRAINT FK_DOC_DATA_FP_ID;
END
GO

IF EXISTS(
	SELECT CONSTRAINT_NAME, TABLE_SCHEMA, TABLE_NAME,CONSTRAINT_TYPE
	FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS
	WHERE TABLE_NAME='Doc_Version'AND CONSTRAINT_NAME = 'FK_ROMD_DATA_FP_ID')
BEGIN
	ALTER TABLE webcenter.Doc_Version DROP CONSTRAINT FK_ROMD_DATA_FP_ID;
END
GO

IF EXISTS(
	SELECT CONSTRAINT_NAME, TABLE_SCHEMA, TABLE_NAME,CONSTRAINT_TYPE
	FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS
	WHERE TABLE_NAME='Documents'AND CONSTRAINT_NAME = 'FK_D_THUMB_DATA_FP_ID')
BEGIN
	ALTER TABLE webcenter.Documents DROP CONSTRAINT FK_D_THUMB_DATA_FP_ID;
END
GO

IF EXISTS(
	SELECT CONSTRAINT_NAME, TABLE_SCHEMA, TABLE_NAME,CONSTRAINT_TYPE
	FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS
	WHERE TABLE_NAME='Perspectives'AND CONSTRAINT_NAME = 'FK_P_FP_ID')
BEGIN
	ALTER TABLE webcenter.Perspectives DROP CONSTRAINT FK_P_FP_ID;
END
GO

IF EXISTS(
	SELECT CONSTRAINT_NAME, TABLE_SCHEMA, TABLE_NAME,CONSTRAINT_TYPE
	FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS
	WHERE TABLE_NAME='Projects'AND CONSTRAINT_NAME = 'FK_P_THUMB_DATA_FP_ID')
BEGIN
	ALTER TABLE webcenter.Projects DROP CONSTRAINT FK_P_THUMB_DATA_FP_ID;
END
GO

IF EXISTS(
	SELECT CONSTRAINT_NAME, TABLE_SCHEMA, TABLE_NAME,CONSTRAINT_TYPE
	FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS
	WHERE TABLE_NAME='Project_Folder'AND CONSTRAINT_NAME = 'FK_PF_THUMB_DATA_FP_ID')
BEGIN
	ALTER TABLE webcenter.Project_Folder DROP CONSTRAINT FK_PF_THUMB_DATA_FP_ID;
END
GO